import java.util.*;
import java.io.*;

public class I18N {
	
	private static final I18N OBJ = new I18N(); 
	public static I18N getInstance() { return OBJ; }
	
	String language;
	String country;
	Locale enLocale;
	ResourceBundle messages;

	private I18N() {

		language = new String("en");

		enLocale = new Locale(language);

		try {
			messages = ResourceBundle.getBundle("lang.i18n", java.util.Locale.getDefault() );
		}
		catch ( MissingResourceException e ) {
			messages = ResourceBundle.getBundle("lang.i18n", enLocale );
		}
	
	}

	public String getStr( String key ) {
		String m;
		try {
		  m = new String( messages.getString(key).getBytes("ISO-8859-1"), "UTF-8");
		}
		catch (UnsupportedEncodingException e) {
		  m = new String("<unknown>");
		}
		return m;
	}

}
