import java.io.*;
import java.awt.*;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;
import java.awt.image.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.imageio.*;

public class JColorButton extends JMenuButton {

	private static final Toolkit toolkit = Toolkit.getDefaultToolkit();

	private Color  thisColor;
	private Cursor thisCursor;

	public JColorButton(String name, Color c) {
		super(name);
		thisColor = c;
	
		BufferedImage cursimg =
			new BufferedImage(32, 32, BufferedImage.TYPE_INT_ARGB);

		Graphics g = cursimg.createGraphics();
		g.setColor(c);
		g.fillRect(0,0,3,3);
		
		thisCursor = toolkit.createCustomCursor(cursimg, new Point(1,1), "Pencil");  
	
	}
	
	public Color  getColor()  { return thisColor;  }
	public Cursor getCursor() { return thisCursor; }
	
}
