import java.awt.*;	
import java.awt.event.*;
import javax.swing.*;

public class JMenuPanel extends JPanel implements ActionListener {

	private JWB_Tafel Parent = null;

	public JColorButton black, white;

	private JMenuButton 
	    pencil, ruler, eraser, mover, geodr,
	    thin, medium, thick,
	    leer, linien, karos, noten;

	public JNoteButton note;
	public JMusicButton music;

	private JActionButton fullscreen, newscreen, defpen, exit;

	private void AddToolButtons() {
		ButtonGroup gruppe = new ButtonGroup();
	
		pencil = new JMenuButton("pencil");      
		pencil.addActionListener(this);
		add(pencil); gruppe.add(pencil);
		
		pencil.setSelected(true);

		ruler = new JMenuButton("ruler");       
		ruler.addActionListener(this);
		add(ruler); gruppe.add(ruler);

		geodr = new JMenuButton("geodr");       
		geodr.addActionListener(this);
		add(geodr); gruppe.add(geodr);

		note = new JNoteButton(); 
		note.addActionListener(this);
		add(note); gruppe.add(note);

		music = new JMusicButton(); 
		music.addActionListener(this);
		add(music); gruppe.add(music);
		
		eraser = new JMenuButton("eraser");
		eraser.addActionListener(this);
		add(eraser); gruppe.add(eraser);

		mover = new JMenuButton("hand"); 
		mover.addActionListener(this);
		add(mover); gruppe.add(mover);

	}

	private void AddBackButtons() {
		ButtonGroup gruppe = new ButtonGroup();
	
		leer = new JMenuButton("leer");      
		leer.addActionListener(this);
		add(leer); gruppe.add(leer);
		leer.setSelected(true);

		linien = new JMenuButton("linien");      
		linien.addActionListener(this);
		add(linien); gruppe.add(linien);

		karos = new JMenuButton("karos");      
		karos.addActionListener(this);
		add(karos); gruppe.add(karos);
		
		noten = new JMenuButton("noten");      
		noten.addActionListener(this);
		add(noten); gruppe.add(noten);

	}

	private void AddThicknessButtons() {
		ButtonGroup gruppe = new ButtonGroup();
	
		thin = new JMenuButton("thin");      
		thin.addActionListener(this);
		add(thin); gruppe.add(thin);

		medium = new JMenuButton("medium");      
		medium.addActionListener(this);
		add(medium); gruppe.add(medium);
		medium.setSelected(true);

		thick = new JMenuButton("thick");      
		thick.addActionListener(this);
		add(thick); gruppe.add(thick);
		
	}

	private void AddOneColor(ButtonGroup gruppe, String name, Color color) {
		JColorButton btn = new JColorButton(name, color);
		add(btn); gruppe.add(btn);	btn.addActionListener(this);
		if ( name == "black" ) { black=btn; btn.setSelected(true); }
		if ( name == "white" ) { white=btn; }
	}

	private void AddColorButtons() {
		ButtonGroup gruppe = new ButtonGroup();
		AddOneColor(gruppe, "black", new Color(0,0,0) );
		AddOneColor(gruppe, "blue", new Color(51,51,204) );
		AddOneColor(gruppe, "red", new Color(255,0,0) );
		AddOneColor(gruppe, "green", new Color(0,128,0) );
		AddOneColor(gruppe, "gray", new Color(128,128,128) );
		AddOneColor(gruppe, "lightblue", new Color(0,192,255) );
		AddOneColor(gruppe, "lightgreen", new Color(0,255,0) );
		AddOneColor(gruppe, "magenta", new Color(255,0,255) );
		AddOneColor(gruppe, "orange", new Color(255,128,0) );
		AddOneColor(gruppe, "yellow", new Color(255,255,0) );
		AddOneColor(gruppe, "white", new Color(255,255,255) );
	}
		
	public JMenuPanel (JWB_Tafel ParentFrame) {
		Parent = ParentFrame;
		setBackground(new Color(220, 218, 213));
		setPreferredSize(new Dimension(0, 42));
		setLayout(new BoxLayout(this, BoxLayout.X_AXIS));

		fullscreen = new JActionButton("fullscreen");
		fullscreen.addActionListener(this);
		add(fullscreen);
		newscreen = new JActionButton("new");
		newscreen.addActionListener(this);
		add(newscreen);
		defpen = new JActionButton("default-pen");
		defpen.addActionListener(this);
		add(defpen);

		add(Box.createHorizontalGlue());
		AddBackButtons();
		add(Box.createHorizontalGlue());
		AddToolButtons();
		add(Box.createHorizontalGlue());
		AddThicknessButtons();
		add(Box.createHorizontalGlue());
		AddColorButtons();

		add(Box.createHorizontalGlue());

		exit = new JActionButton("exit");
		exit.addActionListener(this);
		add(exit);

	}

	public void paintComponent (Graphics g){

		super.paintComponent(g);

		Graphics2D g2d = (Graphics2D)g;
		int width = 4;
		g2d.setStroke(new BasicStroke(1));

		int breite = getWidth();

		g2d.setColor(Color.BLACK);
		g2d.drawLine(0, 0, getWidth(), 0);		
//		g2d.setColor(Color.GRAY);
//		g2d.drawLine(0, 1, getWidth(), 1);		

	}
		
	public void actionPerformed (ActionEvent event) {
	
	if (event.getSource() == this.fullscreen) {
		Parent.switchFullscreen();
    }

	if (event.getSource() == this.newscreen) {
		Parent.clearDialog.start();
		String result=Parent.clearDialog.returnValue();

		if ( result == "window" ) { Parent.BoardPanel.clearWindow();}
		if ( result == "all"    ) { Parent.BoardPanel.clearAll();}
    }

	if (event.getSource() == this.exit) {
		Parent.exit();
    }

	if (event.getSource() == this.leer)   {	Parent.BoardPanel.setBackStyle(0); }
	if (event.getSource() == this.linien) {	Parent.BoardPanel.setBackStyle(1); }
	if (event.getSource() == this.karos)  {	Parent.BoardPanel.setBackStyle(2); }
	if (event.getSource() == this.noten)  {	Parent.BoardPanel.setBackStyle(3); }

	if (event.getSource() == this.thin)   {	Parent.BoardPanel.setPenStyle(0); }
	if (event.getSource() == this.medium) {	Parent.BoardPanel.setPenStyle(1); }
	if (event.getSource() == this.thick)  {	Parent.BoardPanel.setPenStyle(2); }

	if (event.getSource() == this.pencil) {	Parent.BoardPanel.setBoardMode(0); }
	if (event.getSource() == this.ruler)  {	Parent.BoardPanel.setBoardMode(1); }
	if (event.getSource() == this.eraser) {	Parent.BoardPanel.setBoardMode(2); }
	if (event.getSource() == this.mover)  {	Parent.BoardPanel.setBoardMode(3); }
	if (event.getSource() == this.note)   {	Parent.BoardPanel.setBoardMode(4); }
	if (event.getSource() == this.music)  {	Parent.BoardPanel.setBoardMode(5); }
	if (event.getSource() == this.geodr)  {	Parent.BoardPanel.setBoardMode(6); }

	if (event.getSource() == this.defpen) {
		this.pencil.setSelected(true);
		Parent.BoardPanel.setBoardMode(0);
		this.medium.setSelected(true);
		Parent.BoardPanel.setPenStyle(1);
		this.black.setSelected(true);
		Parent.BoardPanel.setPenColor(black.getColor());
		Parent.BoardPanel.setPenCursor(black.getCursor());
    }

	if ( event.getSource() instanceof JColorButton ) {
		JColorButton evtBtn = (JColorButton)event.getSource();
		Parent.BoardPanel.setPenColor(evtBtn.getColor());
		Parent.BoardPanel.setPenCursor(evtBtn.getCursor());
	}

	Parent.requestFocus();

	}
		
}

