import java.io.*;
import javax.imageio.*;
import java.awt.*;
import java.awt.image.*;
import javax.swing.*;

public class JNotenImage {

	BufferedImage image, destimage;
	int offsetX, offsetY;

	short[] r = new short[256];
	short[] g = new short[256];
	short[] b = new short[256];
	short[] a = new short[256];
	
	short[][] farben;
	LookupOp farbfilter;


	public JNotenImage(String name, int oX, int oY) {
	
		try {
			image = ImageIO.read(getClass().getResource("/notes/"+name+".png"));
		} catch(IOException e) { e.printStackTrace();	}
	
		offsetX = oX; offsetY = oY;

		for (short i=0; i<=255; i++) { r[i]=i; g[i]=i; b[i]=i; a[i]=i; }

		farben = new short[][]{r, g, b, a};
		farbfilter = new LookupOp( new ShortLookupTable(0, farben), null);
		destimage = new BufferedImage(image.getWidth(), image.getHeight(), BufferedImage.TYPE_INT_ARGB);
	
	}

	public void setColor(Color c) {
		for (short i=0; i<=255; i++) { 
			r[i]=(short)c.getRed(); 
			g[i]=(short)c.getGreen();
			b[i]=(short)c.getBlue();;
		}
	}

	public BufferedImage getImage() {
		farbfilter.filter(image, destimage);
		return destimage;
	}
	
	public int getWidth()  { return image.getWidth();  }
	public int getHeight() { return image.getHeight(); }
	
	public int getOffsetX() { return offsetX; }
	public int getOffsetY() { return offsetY; }
	
}
