import java.awt.*;	
import java.awt.event.*;
import javax.swing.*;
import javax.imageio.*;
import java.awt.image.*;
import java.io.*;


class JPopup extends JPopupMenu {

	I18N messages = I18N.getInstance();

    JMenuItem infoItem, openItem, 
              saveItem, saveAsItem, 
              exportItem, 
              exitItem;

    public JPopup(ActionListener board){

		try {
			Image image = ImageIO.read(getClass().getResource("/pics/popup_open.png"));
			openItem = new JMenuItem( messages.getStr("popup.open") , new ImageIcon(image));
		} catch(IOException e) { e.printStackTrace();	}
		
        add(openItem);
        openItem.addActionListener(board);
		
		try {
			Image image = ImageIO.read(getClass().getResource("/pics/popup_save.png"));
			saveItem = new JMenuItem( messages.getStr("popup.save") , new ImageIcon(image));
		} catch(IOException e) { e.printStackTrace();	}
		
        add(saveItem);
        saveItem.addActionListener(board);

		try {
			Image image = ImageIO.read(getClass().getResource("/pics/popup_save.png"));
			saveAsItem = new JMenuItem( messages.getStr("popup.saveas") , new ImageIcon(image));
		} catch(IOException e) { e.printStackTrace();	}
		
        add(saveAsItem);
        saveAsItem.addActionListener(board);

		try {
			Image image = ImageIO.read(getClass().getResource("/pics/popup_png.gif"));
			exportItem = new JMenuItem( messages.getStr("popup.export") , new ImageIcon(image));
		} catch(IOException e) { e.printStackTrace();	}
		
        add(exportItem);
        exportItem.addActionListener(board);

		add(new JSeparator());

		try {
			Image image = ImageIO.read(getClass().getResource("/pics/popup_info.png"));
			infoItem = new JMenuItem( messages.getStr("popup.about") , new ImageIcon(image));
		} catch(IOException e) { e.printStackTrace();	}
		
        add(infoItem);
        infoItem.addActionListener(board);

		add(new JSeparator());

		try {
			Image image = ImageIO.read(getClass().getResource("/pics/popup_exit.png"));
			exitItem = new JMenuItem( messages.getStr("popup.exit") , new ImageIcon(image));
		} catch(IOException e) { e.printStackTrace();	}

		add(exitItem);
        exitItem.addActionListener(board);


    }

}
